@kyanny's blog

事実上すべての広告に見られる一貫したテーマとは、消費者の劣等性である - W・B・キイ「メディア・レイプ」

trac-admin wiki upgrade ができなくなった

/usr/local/bin/trac-admin とは別に /usr/local/trac-0.10.4-ja/bin/trac-admin とかを入れて、古い 0.9.4 で作った trac のプロジェクトディレクトリをアップグレードしたかった。のだけどできない。。

# /usr/local/trac-0.10.4-ja/bin/trac-admin /path/to/trac/dir upgrade
# /usr/local/trac-0.10.4-ja/bin/trac-admin /path/to/trac/dir wiki upgrade

こんなんしてもダメ。 0.9.4 の英語テンプレートが無慈悲に表示される。

trac 自体は 0.10.4 のほうが動いている、はず(タイムラインとか、メニューだけ日本語になっている)

/usr/local/trac-0.10.4-ja/share/trac/templates とか wiki-default とかからファイルをコピーしてきたけどやっぱりダメ。 conf/trac.ini も編集してもダメだから 0.10.4 のほうの trac-admin で作った trac.ini をコピーしてきてもダメ。新しい trac-admin で作ったプロジェクトはちゃんと見える。なんだこれ。

結局どうしようもないので trac のディレクトリを消して作り直した。